np10
  1. social
np10
  • account
    • Register
      POST
    • Login
      POST
    • Logout
      POST
    • Refresh
      POST
    • Infer
      GET
  • social
    • View Profile
      GET
  • game
    • Join Queue
      POST
    • Leave Queue
      POST
  • match
    • player1
    • player2
    • spectactor
  1. social

View Profile

GET
/social/profile/v1/

Request

Header Params

Responses

🟢200Success
application/json
Body

🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/social/profile/v1/' \
--header 'Authorization: {{access}}'
Response Response Example
200 - OK
{
    "data": {
        "account": "2",
        "displayName": "Nannie.Langworth33",
        "id": "2",
        "profilePicture": "",
        "updatedAt": "2026-01-17T09:20:05Z"
    }
}
Modified at 2025-12-16 09:32:03
Previous
Infer
Next
Join Queue
Built with